### Class

# Ide SearchEngine

#### Description

    final class Ide.SearchEngine : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Constructors

###### ide_search_engine_new

No description available.

#### Instance methods

###### ide_search_engine_add_provider

Adds a custom search provider to the `IdeSearchEngine`. This enables to bring in custom `IdeSearchProvider` during the runtime.

Available since: 3.38

###### ide_search_engine_get_busy

Checks if the `IdeSearchEngine` is currently executing a query.

Available since: 3.32

###### ide_search_engine_remove_provider

Remove a custom search provider from the `IdeSearchEngine`. This removes custom `IdeSearchProvider` during the runtime.

Available since: 3.38

###### ide_search_engine_search_async

No description available.

###### ide_search_engine_search_finish

Completes an asynchronous request to ide_search_engine_search_async().

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.SearchEngine:busy

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSearchEngineClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.